Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1218090 - (seld/phar-utils) Review Request: php-seld-phar-utils - PHAR file format utilities
Review Request: php-seld-phar-utils - PHAR file format utilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-04 04:26 EDT by Remi Collet
Modified: 2015-05-29 17:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-seld-phar-utils-1.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-25 23:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (2.18 KB, text/plain)
2015-05-09 23:22 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.55 KB, text/plain)
2015-05-09 23:22 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-05-04 04:26:14 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/aa573a708ab4796c80ed115cc3e1a536534dda0d/php/php-seld-phar-utils/php-seld-phar-utils.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-seld-phar-utils-1.0.0-1.remi.src.rpm
Description: 
PHAR file format utilities, for when PHP phars you up.

Fedora Account System Username: remi

--
Dependency of composer
Comment 1 Shawn Iwinski 2015-05-09 23:22:12 EDT
Created attachment 1023910 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3
Comment 2 Shawn Iwinski 2015-05-09 23:22:45 EDT
Created attachment 1023911 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1218090
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Shawn Iwinski 2015-05-09 23:23:16 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

As usual, remove EPEL5 bits after initial import.



Since no %check, "BuildRequires:  php(language) >= 5.3" is not really necessary unless you just want to prevent even building the RPM on systems without PHP >= 5.3.



No blockers.



===== APPROVED =====
Comment 4 Remi Collet 2015-05-11 03:10:11 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-seld-phar-utils
Short Description: PHAR file format utilities
Upstream URL: https://github.com/Seldaek/phar-utils
Owners: remi
Branches:f21 f22 epel7 
InitialCC:
Comment 5 Gwyn Ciesla 2015-05-11 08:36:00 EDT
Git done (by process-git-requests).
Comment 6 Remi Collet 2015-05-11 09:26:02 EDT
Can you please check, the package doesn't appears in pkgdb and 

$ fedpkg clone php-seld-phar-utils 
Clonage dans 'php-seld-phar-utils'...
FATAL: R any php-seld-phar-utils remi DENIED by fallthru
Comment 7 Gwyn Ciesla 2015-05-11 14:09:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-05-14 03:01:48 EDT
php-seld-phar-utils-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-seld-phar-utils-1.0.0-1.fc22
Comment 9 Fedora Update System 2015-05-14 03:02:58 EDT
php-seld-phar-utils-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-seld-phar-utils-1.0.0-1.fc21
Comment 10 Fedora Update System 2015-05-14 03:04:08 EDT
php-seld-phar-utils-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-seld-phar-utils-1.0.0-1.el7
Comment 11 Fedora Update System 2015-05-14 16:08:45 EDT
php-seld-phar-utils-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 12 Fedora Update System 2015-05-25 23:16:03 EDT
php-seld-phar-utils-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 13 Fedora Update System 2015-05-25 23:19:54 EDT
php-seld-phar-utils-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 14 Fedora Update System 2015-05-29 17:49:05 EDT
php-seld-phar-utils-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.